Exactly, uninstall your compiled jack, and install it through Synaptic or apt.

sudo apt-get install jackd.

Jackd2 won't work.

I wrote a complementary guide to this one a few pages back, use it.